\ loader.fs

0 [if]
Copyright (C) 2004-2006 by Charles Shattuck.

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

For LGPL information:   http://www.gnu.org/copyleft/lesser.txt

[then]

only forth also definitions
: nowarn warnings off ; : warn warnings on ; : not 0= ;
nowarn

include ansi.fs  \ Part of Gforth.
warn
variable colors
: in-color  true colors ! ;
in-color
: b/w  false colors ! ;
: color  ( n - ) create , does> colors @ if @ >fg attr! exit then drop ;
red color >red
black color >black
blue color >blue
green color >green
cyan color >cyan

include ./vtags.fs use-tags

0 [if] **************** 21Feb09 MyForth System Change! ************************
  
   1. The processor and application specific constants formerly contained in
       config.fs and loaded by this file should now be put in the job.fs file.
   2. The c and d (or c.bat & d.bat) command files no longer load this file;
       it is now loaded in the job.fs file.
   3. In the job.fs file, configuration definitions should be followed 
       by an "include common/loader.fs" statement.

************************************************************************ [then]

\ include ../common/config.fs  \ removed from loader.fs 21Feb09 rjn
include ./compiler.fs
include ./saver.fs
include ./dis5x.fs
\ include ./download-cygnal.fs
\ include ./dumb.fs

\ Forth primitives.
include ./misc8051.fs
rom-start org

\ This is the application.
\ now moved out of here and put into job.fs - call directly! bdk
\ include job.fs
\
\ report
\ save
\ [ .( Host stack= ) .s cr

